de.heatup.ui.actionPanel

## Class ActionControl

- java.lang.Object
- - de.heatup.ui.actionPanel.ActionControl

-     public class ActionControl
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionControl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `actionControl()`
    `static boolean` | `getOption()`
    `static char` | `getSmash()`
    `static void` | `setAction(int rd)`
    `static void` | `setE()`
    `static void` | `setPanel(javax.swing.JPanel newPanel)`
    `static void` | `setQ()`
    `static void` | `setR()`
    `static void` | `setW()`
    `static void` | `wishPanel()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          public static int count

  - ### Constructor Detail

    - #### ActionControl

          public ActionControl()

  - ### Method Detail

    - #### setPanel

          public static void setPanel(javax.swing.JPanel newPanel)

    - #### setAction

          public static void setAction(int rd)

    - #### actionControl

          public static void actionControl()

    - #### setQ

          public static void setQ()

    - #### setW

          public static void setW()

    - #### setE

          public static void setE()

    - #### setR

          public static void setR()

    - #### getOption

          public static boolean getOption()

    - #### getSmash

          public static char getSmash()

    - #### wishPanel

          public static void wishPanel()